/*******************************************************************************
**
**	File:		Cyradis_msg.h
**
**	Description:	Constante definitions for creating and rendering scene.
**
**	Copyright 1997, Cyradis Corporation
**
*******************************************************************************/


#ifndef _CYRADIS_MSG_H_
#define _CYRADIS_MSG_H_


// scene BMessages
#define C_NEWSCENE			'news'
#define C_RENDER			'rend'
#define C_CAMERA			'came'
#define C_NEWOBJECT			'nobj'
#define C_NEWLIGHT			'nlig'

#define C_SCENENUMBER		'scnu'
		// the scene number is in an int32 called "SceneNumber"

// texture types
#define	C_TEXTURE_BUMP		'bump'
#define C_TEXTURE_CHECKER	'chek'
#define C_TEXTURE_MAPPING	'mapp'
#define C_TEXTURE_NOISE_BUMP	'nbum'
#define C_TEXTURE_NOISE_COLOR	'ncol'

// transformation type
#define C_SCALE				'scal'
#define C_ROTATE			'rota'
#define C_TRANSLATE			'tran'

// Object types for C_NEWOBJECT (int32)
#define C_SPHERE			0
#define C_BOX				13
#define C_PLANE				1
#define C_CYLINDER			2
#define C_DISC				3
#define	C_TRIANGLE			4
#define C_CONE				5
#define C_QUADRIC			6
#define C_QUARTIC			7
#define C_UNION				8
#define C_MERGE				9
#define C_DIFFERENCE		10
#define C_CLIP				11
#define C_INTERSECTION		12

#define C_LIGHT				0
#define C_SPOT				1
#define C_SUN				2
#define C_AREALIGHT			3

// mapping type
#define MAPPING_PLANE		0
#define MAPPING_CYLINDER	1
#define MAPPING_SPHERE		2


#endif